#ifndef  __HAPTICS_H__
#define  __HAPTICS_H__

#ifdef __cplusplus
extern "C" {
#endif
  
#include "system.h"

#define LRA_AUTOON_MAX	 	0xF0 	// Set the maximum amplitude for auto-resonance ON mode

typedef struct Haptics_Waveform 
{
  const unsigned char	length;	     // size of array in bytes
  const unsigned char   *data;	     // pointer to waveform array data (waveform array is in (amplitude, time) pairs
} Waveform;

void haptics_init(void);

void haptics_send_waveform(const Waveform *pWaveform);

#ifdef __cplusplus
};
#endif

#endif